import { Vue } from "vue-property-decorator";
import { ViewPlugin, IViewNode } from "../../viewPlugin";
export default class NodeView extends Vue {
    data: IViewNode;
    selected: boolean;
    plugin: ViewPlugin;
    dragging: boolean;
    width: number;
    renaming: boolean;
    tempName: string;
    contextMenu: {
        show: boolean;
        x: number;
        y: number;
        items: {
            value: string;
            label: string;
        }[];
    };
    private unsubscribe;
    readonly styles: {
        top: string;
        left: string;
        width: string;
    };
    readonly options: [string, import("../../../../baklavajs-core/types").INodeOption][];
    mounted(): void;
    updated(): void;
    beforeDestroy(): void;
    update(): void;
    startDrag(): void;
    select(): void;
    stopDrag(): void;
    handleMove(ev: MouseEvent): void;
    openContextMenu(ev: MouseEvent): void;
    onContextMenu(action: string): void;
    doneRenaming(): void;
    openSidebar(optionName: string): void;
}
